Calculates any one parameter of the F distribution given values for the others

- « stats_cdf_exponential

- stats_cdf_gamma »

- PHP Manual
- Statistic Functions
- Calculates any one parameter of the F distribution given values for the others

# stats_cdf_f

(PECL stats >= 1.0.0)

stats_cdf_f — Calculates any one parameter of the F distribution given values for the others

### Description

stats_cdf_f(
float `$par1`,
float `$par2`,
float `$par3`,
int `$which`
): float

Returns the cumulative distribution function, its inverse, or one of its parameters, of the F distribution. The kind of the return value and parameters (`par1`, `par2`, and `par3`) are determined by `which`.

The following table lists the return value and parameters by `which`. CDF, x, d1, and d2 denotes cumulative distribution function, the value of the random variable, and the degree of freedoms of the F distribution, respectively.

Return value and parameters
`which` | Return value | `par1` | `par2` | `par3`
--- | --- | --- | --- | ---
1 | CDF | x | d1 | d2
2 | x | CDF | d1 | d2
3 | d1 | x | CDF | d2
4 | d2 | x | CDF | d1

### Parameters

`par1`

  The first parameter

`par2`

  The second parameter

`par3`

  The third parameter

`which`

  The flag to determine what to be calculated

### Return Values

Returns CDF, x, d1, or d2, determined by `which`.